Summary:	Mdk kdm.
Name:		mdkkdm
Version:	9.2
Release:	9mdk
License:	GPL
URL:		http://www.mandrakelinux.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
# no extra source or patch are allowed here.
Source:			%name-%{version}.tar.bz2


BuildRoot:		%_tmppath/%name-%version-%release-root
BuildRequires:	kdelibs-devel >= 3.1
BuildRequires:	libarts-devel pam-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype2-devel
BuildRequires:	gcc-c++

Requires:		initscripts >= 7.04-3mdk

Provides:		kdm
Requires:		kdebase-kdm-config-file

%description 
Mdk kdm.

%prep

%setup -q
find . -type 'd' -name 'CVS' | xargs rm -fr


%build
make -f admin/Makefile.common

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

./configure \
        --prefix=%_prefix --libdir=%_libdir \
        --disable-debug \
		--with-xinerama \
		--disable-rpath \
		--enable-mt

make


%install
rm -rf %buildroot

%makeinstall_std
%{find_lang} %{name}


rm -rf %buildroot/%_datadir/apps/kdm/pics/
rm -rf %buildroot/%_datadir/config/kdm/*
rm -rf %buildroot/%_datadir/wallpapers/kdm_bg.jpg


%clean
rm -fr %buildroot



%files -f %{name}.lang
%defattr(-,root,root)
#
#
%_bindir/*
%dir %_datadir/mdk/mdkkdm/
%_datadir/mdk/mdkkdm/*.png


%changelog
* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-9mdk
- Fix mdkdkm

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-8mdk
- Update po file

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-7mdk
- Fix layout

* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-6mdk
- Rebuild po file

* Sun Sep 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-5mdk
- Update po file
- Fix french po file

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-4mdk
- Fix from kdm code

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-3mdk
- Update from kdm

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-2mdk
- Fix high security layout
- Update po file

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-1mdk
- change version number
- update po file

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-35mdk
- Fix translation
- Update po file

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-34mdk
- Now we can really use mdkkdm.po

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-33mdk
- Update po, add fr.po

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-32mdk
- Fix Display Error Page
- Remove patch

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-31mdk
- Fix Error page

* Fri Aug 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-30mdk
- Fix source

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-29mdk
- security fix

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-28mdk
- Fix requires

* Fri Jul 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-27mdk
- Fix buildrequires

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-26mdk
- Update 

* Mon Mar 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-25mdk
- Fix rebootin

* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-24mdk
- Try to fix rebootin

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-23mdk
- Fix compile
- Fix reboot when we click on item

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-22mdk
- Fix reboot info ( I hope )

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-21mdk
- Update code 

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-20mdk
- Update code ( fix back button position )

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-19mdk
- Fix kdm logo.

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-18mdk
- Fix layout

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-17mdk
- Fix password page

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-16mdk
- Fix password page layout

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-15mdk
- Fix button name

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-14mdk
- Fix layout

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-13mdk
- Update code : Use new mdk kdm logo

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-12mdk
- Update code ( fix layout)

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-11mdk
- Fix compile under ppc

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-10mdk
- Remove duplicate code, Bug fix

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-9mdk
- Update code fix login

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-8mdk
- Add provides kdm

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-7mdk
- Add truncate function

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-6mdk
- Fix layout

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-5mdk
- Fix : use rebootin programm.

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-4mdk
- Add patch1 : fix reboot option ( patch from kdebase I hate duplicate code)

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-3mdk
- Rename kdm -> mdkkdm

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-1mdk
- initial package

